<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelModifyAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_HotelModifyAdvancedOptions extends JP_ModifyAdvancedOptions
{
    /**
     * The ShowHotelInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowHotelInfo;
    /**
     * Constructor method for JP_HotelModifyAdvancedOptions
     * @uses JP_HotelModifyAdvancedOptions::setShowHotelInfo()
     * @param bool $showHotelInfo
     */
    public function __construct($showHotelInfo = null)
    {
        $this
            ->setShowHotelInfo($showHotelInfo);
    }
    /**
     * Get ShowHotelInfo value
     * @return bool|null
     */
    public function getShowHotelInfo()
    {
        return $this->ShowHotelInfo;
    }
    /**
     * Set ShowHotelInfo value
     * @param bool $showHotelInfo
     * @return \StructType\JP_HotelModifyAdvancedOptions
     */
    public function setShowHotelInfo($showHotelInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($showHotelInfo) && !is_bool($showHotelInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showHotelInfo, true), gettype($showHotelInfo)), __LINE__);
        }
        $this->ShowHotelInfo = $showHotelInfo;
        return $this;
    }
}
